Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # rgb.hpp File Reference ## Detailed Description Support for RGB color space and variants. Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 Last updated on September 18, 2006 `#include <boost/mpl/range_c.hpp>` `#include <boost/mpl/vector_c.hpp>` `#include "gil_config.hpp"` `#include "metafunctions.hpp"` `#include "planar_pixel_iterator.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
## Classes
struct | red_t
| Red. More...
struct | green_t
| Green. More...
struct | blue_t
| Blue. More...
## Typedefs
typedef mpl::vector3< red_t, green_t, blue_t > | boost::gil::rgb_t
typedef layout< rgb_t > | boost::gil::rgb_layout_t
typedef layout< rgb_t, mpl::vector3_c< int, 2, 1, 0 > > | boost::gil::bgr_layout_t
## Functions
template<typename IC>
type_from_x_iterator< planar_pixel_iterator< IC, rgb_t > >::view_t | boost::gil::planar_rgb_view (int width, int height, IC r, IC g, IC b, std::ptrdiff_t rowsize_in_bytes)
| from raw RGB planar data